org.apache.tomcat.jdbc.pool

## Class PoolProperties.InterceptorProperty

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.PoolProperties.InterceptorProperty

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    PoolProperties

      public static class PoolProperties.InterceptorProperty
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolProperties.InterceptorProperty(String name, String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getName()`
    `String` | `getValue()`
    `boolean` | `getValueAsBoolean(boolean def)`
    `byte` | `getValueAsByte(byte def)`
    `char` | `getValueAschar(char def)`
    `double` | `getValueAsDouble(double def)`
    `float` | `getValueAsFloat(float def)`
    `int` | `getValueAsInt(int def)`
    `long` | `getValueAsLong(long def)`
    `short` | `getValueAsShort(short def)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolProperties.InterceptorProperty

          public PoolProperties.InterceptorProperty(String name,
                                            String value)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getValue

          public String getValue()

    - #### getValueAsBoolean

          public boolean getValueAsBoolean(boolean def)

    - #### getValueAsInt

          public int getValueAsInt(int def)

    - #### getValueAsLong

          public long getValueAsLong(long def)

    - #### getValueAsByte

          public byte getValueAsByte(byte def)

    - #### getValueAsShort

          public short getValueAsShort(short def)

    - #### getValueAsFloat

          public float getValueAsFloat(float def)

    - #### getValueAsDouble

          public double getValueAsDouble(double def)

    - #### getValueAschar

          public char getValueAschar(char def)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.